Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.xml.pipeline.processes
Class XSDValProcess

    java.lang.Object
      |
      +--oracle.xml.pipeline.controller.Process
            |
            +--oracle.xml.pipeline.processes.XSDValProcess

All Implemented Interfaces:
  ErrorHandler, PipelineConstants, java.lang.Runnable

public class XSDValProcess
extends Process

Extends the pipeline Process class to validate an XML dom node against an xml schema using oracle.xml.parser.schema.XSDValidator. This is different from the DOMParserProcess which only validates an XML Document while the XSDValProcess will validate Document as well as DocumentFragment and Element. This takes a DOM as input while the DOMParserProcess takes an xml stream only. Its parameters are: Inputs - "xml" (dom) Params - "schemaObj" (Object) Outputs - "validatedxml" (dom) Outparams - none

Field Summary

Fields inherited from interface oracle.xml.pipeline.controller.PipelineConstants
`COMPSTREAMRESULT, COMPSTREAMSOURCE, DOCFRAG, DOCUMENT, DOMRESULT, DOMSOURCE, ELEMENT, SAXRESULT, SAXSOURCE, STREAMRESULT, STREAMSOURCE`

Methods inherited from class oracle.xml.pipeline.controller.Process
`convertFromDOM, convertFromSAX, convertFromStream, error, execute, getError, getErrorDocument, getErrorSource, getErrorStream, getErrorStream, getInParamValue, getInput, getInputSource, getOutParamValue, getOutputStream, getOutputWriter, getSAXContentHandler, getSAXErrorHandler, info, initialize, SAXContentHandler, SAXErrorHandler, setOutParam, setOutputResult`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.lang.Runnable
`run`

Methods inherited from interface org.xml.sax.ErrorHandler
`error, fatalError, warning`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003, 2004, Oracle. All rights reserved.